For the complete documentation index, see llms.txt. This page is also available as Markdown.

Submit order Transaction

Submit place order transaction

post

Submit place order transaction

Body
order_idstringRequired
signed_txstringRequired
Responses
200

OK

application/json
account_idstringOptionalExample: 550e8400-e29b-41d4-a716-446655440001
active_order_utxo_idstringOptionalExample: 3b40265111d8bb3c3c608d95b3a0bf83461ace32d79336579a1939b3aad1c0b7#0
base_qtystringOptionalExample: 100.00
commissionstringOptionalExample: 0.093
commission_rate_bpintegerOptionalExample: 10
commission_unitstringOptionalExample: lovelace
created_atstringOptionalExample: 2024-01-01T00:00:00Z
executed_base_qtystringOptionalExample: 50.00
executed_pricestringOptionalExample: 0.93
executed_quote_qtystringOptionalExample: 46.50
idstringOptionalExample: 550e8400-e29b-41d4-a716-446655440000
locked_base_qtystringOptionalExample: 100.00
locked_quote_qtystringOptionalExample: 93.00
market_order_limit_pricestringOptionalExample: 0.95
ob_open_order_base_qtystringOptionalExample: 50.00
pricestringOptionalExample: 0.93
quote_qtystringOptionalExample: 93.00
sidestring · enumOptionalPossible values:
slippage_bpintegerOptionalExample: 100
statusstring · enumOptionalPossible values:
symbolstringOptionalExample: ADAUSDM
typestring · enumOptionalPossible values:
updated_atstringOptionalExample: 2024-01-01T00:00:00Z
post/orders/submit
POST /orders/submit HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "order_id": "text",
  "signed_tx": "text"
}
{
  "account_id": "550e8400-e29b-41d4-a716-446655440001",
  "active_order_utxo_id": "3b40265111d8bb3c3c608d95b3a0bf83461ace32d79336579a1939b3aad1c0b7#0",
  "base_qty": "100.00",
  "commission": "0.093",
  "commission_rate_bp": 10,
  "commission_unit": "lovelace",
  "created_at": "2024-01-01T00:00:00Z",
  "executed_base_qty": "50.00",
  "executed_price": "0.93",
  "executed_quote_qty": "46.50",
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "locked_base_qty": "100.00",
  "locked_quote_qty": "93.00",
  "market_order_limit_price": "0.95",
  "ob_open_order_base_qty": "50.00",
  "order_execution_records": [
    {
      "account_id": "550e8400-e29b-41d4-a716-446655440001",
      "commission": "0.0465",
      "commission_unit": "lovelace",
      "counter_party_order_id": "550e8400-e29b-41d4-a716-446655440003",
      "created_at": "2024-01-01T00:00:00Z",
      "execution_price": "0.93",
      "filled_base_qty": "50.00",
      "filled_quote_qty": "46.50",
      "id": "550e8400-e29b-41d4-a716-446655440002",
      "order_id": "550e8400-e29b-41d4-a716-446655440000",
      "role": "taker"
    }
  ],
  "price": "0.93",
  "quote_qty": "93.00",
  "side": "buy",
  "slippage_bp": 100,
  "status": "open",
  "symbol": "ADAUSDM",
  "type": "limit",
  "updated_at": "2024-01-01T00:00:00Z"
}

Last updated